"use strict";

(function(Drupal) {
  Drupal.behaviors.tacjs = {
    attach: function attach(context, settings) {
      // load custom texts translation
      tarteaucitronCustomText = {};
      Object.keys(settings.tacjs.texts)
        .filter(function(text) {
          return settings.tacjs.texts[text] !== "";
        })
        .map(function(text) {
          tarteaucitronCustomText[text] = Drupal.t(
            settings.tacjs.texts[text]
          );
        });

      // load added services
      Object.keys(settings.tacjs.services)
        .filter(function(service) {
          return settings.tacjs.services[service];
        })
        .map(function(service) {
          return (tarteaucitron.job = tarteaucitron.job || []).push(service);
        });

      // load added users settings
      Object.keys(settings.tacjs.user)
        .filter(function(id) {
          return settings.tacjs.user[id] !== "";
        })
        .map(function(id) {
          return (tarteaucitron.user[id] = settings.tacjs.user[id]);
        });

      // load tarteaucitron
      tarteaucitron.init({
        privacyUrl: settings.tacjs.dialog.privacyUrl,
        hashtag: "#".concat(settings.tacjs.dialog.hashtag),
        cookieName: settings.tacjs.dialog.cookieName,
        orientation: settings.tacjs.dialog.orientation,
        showAlertSmall: settings.tacjs.dialog.showAlertSmall === 1,
        cookieslist: settings.tacjs.dialog.cookieslist === 1,
        adblocker: settings.tacjs.dialog.adblocker === 1,
        AcceptAllCta: settings.tacjs.dialog.AcceptAllCta === 1,
        highPrivacy: settings.tacjs.dialog.highPrivacy === 1,
        handleBrowserDNTRequest:
          settings.tacjs.dialog.handleBrowserDNTRequest === 1,
        removeCredit: settings.tacjs.dialog.removeCredit === 1,
        moreInfoLink: settings.tacjs.dialog.moreInfoLink === 1,
        useExternalCss: settings.tacjs.dialog.useExternalCss === 1,
        cookieDomain: settings.tacjs.dialog.cookieDomain,
        readmoreLink: settings.tacjs.dialog.readmoreLink
      });
    }
  };
})(Drupal);
